{
    template:'${tmpl}',
    data:function(){
        return {
            year:"全部年份",
            entName:"",
        }
    },
    methods:{
        oninput(v){
            this.entName=v;
        },
        chaxun () {
            var obj={entName:"",year:""};
            if(this.year && this.year!="全部年份" ){
                obj.year=this.year;
            }
            console.log(this.$refs.select3);
            console.log(this.entName);
            if(this.entName ){
                obj.entName=this.entName;
            }else{
                this.$message.warning("请填写企业名称");
                return;
            }
            this.$root.pushx({
                name:"/businessdecisionsresult",
                params:obj
            });
            
        },
        aliBusinessDecision(){
            var obj={entName:"",year:""};
            if(this.year && this.year!="全部年份" ){
                obj.year=this.year;
            }
            if(this.entName ){
                obj.entName=this.entName;
            }else{
                this.$message.warning("请填写企业名称");
                return;
            }
            var that=this;
            this.$root.showMask();
            this.$root.getReq("/web/regionalpatentmonitoringCtl/aliBusinessDecision",obj).then(d=>{
                if(d && d.code==1){
                    this.data = d.data;
                    console.log(d.data);
                    var datastring = JSON.stringify(d);
                    window.localStorage.setItem("aliBusinessDecision",datastring);
                    this.$root.pushx({
                        name:"/businessdecisionsresult",
                        params:{
                            year:that.year,
                            entName:that.entName
                        }
                    });
                }else{
                    this.$message.warning("查询失败，请刷新页面后重新操作"); 
                }
                this.$root.hideMask();
            }).catch(e=>{
                console.log(e);
                this.$message.warning("查询失败，请刷新页面后重新操作"); 
                this.$root.hideMask();
            })
        },
    },
    vname:"gsb-businessdecisions"
}